# AmoebaGeneralizedKirkwoodForce Class Reference

This class implements an implicit solvation force using the generalized Kirkwood/Grycuk model. More...

Inheritance diagram for AmoebaGeneralizedKirkwoodForce:

List of all members.

## Public Member Functions

def | getNumParticles
| getNumParticles(self) -> int
def | addParticle
| addParticle(self, double charge, double radius, double scalingFactor) -> int
def | getParticleParameters
| getParticleParameters(self, int index)
def | setParticleParameters
| setParticleParameters(self, int index, double charge, double radius, double scalingFactor)
def | getSolventDielectric
| getSolventDielectric(self) -> double
def | setSolventDielectric
| setSolventDielectric(self, double dielectric)
def | getSoluteDielectric
| getSoluteDielectric(self) -> double
def | setSoluteDielectric
| setSoluteDielectric(self, double dielectric)
def | getIncludeCavityTerm
| getIncludeCavityTerm(self) -> int
def | setIncludeCavityTerm
| setIncludeCavityTerm(self, int includeCavityTerm)
def | getProbeRadius
| getProbeRadius(self) -> double
def | setProbeRadius
| setProbeRadius(self, double probeRadius)
def | getSurfaceAreaFactor
| getSurfaceAreaFactor(self) -> double
def | setSurfaceAreaFactor
| setSurfaceAreaFactor(self, double surfaceAreaFactor)
def | updateParametersInContext
| updateParametersInContext(self, Context context)
def | __init__
| __init__(self) -> AmoebaGeneralizedKirkwoodForce __init__(self, AmoebaGeneralizedKirkwoodForce other) -> AmoebaGeneralizedKirkwoodForce
def | __del__
| __del__(self)

## Public Attributes

| this

## Detailed Description

This class implements an implicit solvation force using the generalized Kirkwood/Grycuk model.

To use this class, create an AmoebaGeneralizedKirkwoodForce object, then call addParticle() once for each particle in the System to define its parameters. The number of particles for which you define parameters must be equal to the number of particles in the System, or else an exception will be thrown when you try to create a Context. After a particle has been added, you can modify its force field parameters by calling setParticleParameters(). This will have no effect on Contexts that already exist unless you call updateParametersInContext().

## Member Function Documentation

def __del__ | ( |  | self | ) |

__del__(self)

Reimplemented from Force.

def __init__ | ( |  | self,
|  |  | args |
| ) |  |  |

__init__(self) -> AmoebaGeneralizedKirkwoodForce __init__(self, AmoebaGeneralizedKirkwoodForce other) -> AmoebaGeneralizedKirkwoodForce

def addParticle | ( |  | self,
|  |  | args |
| ) |  |  |

addParticle(self, double charge, double radius, double scalingFactor) -> int

Add the parameters for a particle. This should be called once for each particle in the System. When it is called for the i'th time, it specifies the parameters for the i'th particle.

Parameters:

  | charge | the charge of the particle, measured in units of the proton charge
  | radius | the atomic radius of the particle, measured in nm
  | scalingFactor | the scaling factor for the particle

def getIncludeCavityTerm | ( |  | self | ) |

getIncludeCavityTerm(self) -> int

Get the flag signaling whether the cavity term should be included

def getNumParticles | ( |  | self | ) |

getNumParticles(self) -> int

Get the number of particles in the system.

def getParticleParameters | ( |  | self,
|  |  | args |
| ) |  |  |

getParticleParameters(self, int index)

Get the force field parameters for a particle.

Parameters:

  | index | the index of the particle for which to get parameters
  | charge | the charge of the particle, measured in units of the proton charge
  | radius | the atomic radius of the particle, measured in nm
  | scalingFactor | the scaling factor for the particle

def getProbeRadius | ( |  | self | ) |

getProbeRadius(self) -> double

Get the probe radius (nm) used in SASA contribution

def getSoluteDielectric | ( |  | self | ) |

getSoluteDielectric(self) -> double

Get the dielectric constant for the solute.

def getSolventDielectric | ( |  | self | ) |

getSolventDielectric(self) -> double

Get the dielectric constant for the solvent.

def getSurfaceAreaFactor | ( |  | self | ) |

getSurfaceAreaFactor(self) -> double

Get the surface area factor kJ/(nm*nm) used in SASA contribution

def setIncludeCavityTerm | ( |  | self,
|  |  | args |
| ) |  |  |

setIncludeCavityTerm(self, int includeCavityTerm)

Set the flag signaling whether the cavity term should be included

def setParticleParameters | ( |  | self,
|  |  | args |
| ) |  |  |

setParticleParameters(self, int index, double charge, double radius, double scalingFactor)

Set the force field parameters for a particle.

Parameters:

  | index | the index of the particle for which to set parameters
  | charge | the charge of the particle, measured in units of the proton charge
  | radius | the atomic radius of the particle, measured in nm
  | scalingFactor | the scaling factor for the particle

def setProbeRadius | ( |  | self,
|  |  | args |
| ) |  |  |

setProbeRadius(self, double probeRadius)

Set the probe radius (nm) used in SASA contribution

def setSoluteDielectric | ( |  | self,
|  |  | args |
| ) |  |  |

setSoluteDielectric(self, double dielectric)

Set the dielectric constant for the solute.

def setSolventDielectric | ( |  | self,
|  |  | args |
| ) |  |  |

setSolventDielectric(self, double dielectric)

Set the dielectric constant for the solvent.

def setSurfaceAreaFactor | ( |  | self,
|  |  | args |
| ) |  |  |

setSurfaceAreaFactor(self, double surfaceAreaFactor)

Set the surface area factor kJ/(nm*nm) used in SASA contribution

def updateParametersInContext | ( |  | self,
|  |  | args |
| ) |  |  |

updateParametersInContext(self, Context context)

Update the per-particle parameters in a Context to match those stored in this Force object. This method provides an efficient method to update certain parameters in an existing Context without needing to reinitialize it. Simply call setParticleParameters() to modify this object's parameters, then call updateParametersInState() to copy them over to the Context.

The only information this method updates is the values of per-particle parameters. All other aspects of the Force (the probe radius, the surface area factor, etc.) are unaffected and can only be changed by reinitializing the Context.

## Member Data Documentation

this

The documentation for this class was generated from the following file:

- openmm.py